Debian Bug report logs - #489865
libmagic1: Need to display UUID for ext2/3 filesystems and swap space and label for ext2/3

version graph

Package: file; Maintainer for file is Christoph Biedl <debian.axhn@manchmal.in-ulm.de>; Source for file is src:file.

Reported by: Russell Coker <russell@coker.com.au>

Date: Tue, 8 Jul 2008 11:36:01 UTC

Severity: normal

Found in version file/4.24-4

Fixed in version file/4.25-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#489865; Package file. Full text and rfc822 format available.

Acknowledgement sent to Russell Coker <russell@coker.com.au>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libmagic1: Need to display UUID for ext2/3 filesystems and swap space and label for ext2/3
Date: Tue, 08 Jul 2008 21:34:44 +1000
Package: file
Version: 4.24-4
Severity: normal

Below are the entries for Linux swap space and ext2/3 filesystems which I
modified to display the UUID and label.  For the swap space I made it display
it's output in the same manner as the mkswap command (I think it's best to
use common formats as much as possible).  I also made it display the label
for ext2/3 filesystems.

Please include the URL in the magic file so that people who read the comments
can get the history of this.

# according to man page of mkswap (8) March 1999
# volume label and UUID Russell Coker
# http://etbe.coker.com.au/2008/07/08/label-vs-uuid-vs-device/
4086    string          SWAPSPACE2      Linux/i386 swap file (new style),
>0x400  long            x               version %d (4K pages),
>0x404  long            x               size %d pages,
>1052 string		\0		no label,
>1052 string          >\0             LABEL=%s,
>0x40c	belong		x		UUID=%x
>0x410	beshort		x		\b-%x
>0x412	beshort		x		\b-%x
>0x414	beshort		x		\b-%x
>0x416	belong		x		\b-%x
>0x41a	beshort		x		\b%x


# ext2/ext3 filesystems - Andreas Dilger <adilger@dilger.ca>
# ext4 filesystem - Eric Sandeen <sandeen@sandeen.net>
# volume label and UUID Russell Coker
# http://etbe.coker.com.au/2008/07/08/label-vs-uuid-vs-device/
0x438   leshort         0xEF53          Linux
>0x44c  lelong          x               rev %d
>0x43e  leshort         x               \b.%d
# No journal?  ext2
>0x45c  lelong          ^0x0000004      ext2 filesystem data
>>0x43a leshort         ^0x0000001      (mounted or unclean)
# Has a journal?  ext3 or ext4
>0x45c  lelong          &0x0000004
#  and small INCOMPAT?
>>0x460 lelong          <0x0000040
#   and small RO_COMPAT?
>>>0x464 lelong         <0x0000008      ext3 filesystem data
#   else large RO_COMPAT?
>>>0x464 lelong         >0x0000007      ext4 filesystem data
#  else large INCOMPAT?
>>0x460 lelong          >0x000003f      ext4 filesystem data
>0x468 	belong		x		\b, UUID=%x
>0x46c	beshort		x		\b-%x
>0x46e	beshort		x		\b-%x
>0x470	beshort		x		\b-%x
>0x472	belong		x		\b-%x
>0x476	beshort		x		\b%x
>0x478	string		>0		\b, volume name "%s"
# General flags for any ext* fs
>0x460  lelong          &0x0000004      (needs journal recovery)
>0x43a  leshort         &0x0000002      (errors)
# INCOMPAT flags
>0x460  lelong          &0x0000001      (compressed)
#>0x460 lelong          &0x0000002      (filetype)
#>0x460 lelong          &0x0000010      (meta bg)
>0x460  lelong          &0x0000040      (extents)
>0x460  lelong          &0x0000080      (64bit)
#>0x460 lelong          &0x0000100      (mmp)
#>0x460 lelong          &0x0000200      (flex bg)
# RO_INCOMPAT flags
#>0x464 lelong          &0x0000001      (sparse super)
>0x464  lelong          &0x0000002      (large files)
>0x464  lelong          &0x0000008      (huge files)
#>0x464 lelong          &0x0000010      (gdt checksum)
#>0x464 lelong          &0x0000020      (many subdirs)
#>0x463 lelong          &0x0000040      (extra isize)




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Russell Coker <russell@coker.com.au>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 489865-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 489865-close@bugs.debian.org
Subject: Bug#489865: fixed in file 4.25-1
Date: Tue, 15 Jul 2008 14:47:06 +0000
Source: file
Source-Version: 4.25-1

We believe that the bug you reported is fixed in the latest version of
file, which is due to be installed in the Debian FTP archive:

file_4.25-1.diff.gz
  to pool/main/f/file/file_4.25-1.diff.gz
file_4.25-1.dsc
  to pool/main/f/file/file_4.25-1.dsc
file_4.25-1_i386.deb
  to pool/main/f/file/file_4.25-1_i386.deb
file_4.25.orig.tar.gz
  to pool/main/f/file/file_4.25.orig.tar.gz
libmagic-dev_4.25-1_i386.deb
  to pool/main/f/file/libmagic-dev_4.25-1_i386.deb
libmagic1_4.25-1_i386.deb
  to pool/main/f/file/libmagic1_4.25-1_i386.deb
python-magic-dbg_4.25-1_i386.deb
  to pool/main/f/file/python-magic-dbg_4.25-1_i386.deb
python-magic_4.25-1_i386.deb
  to pool/main/f/file/python-magic_4.25-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 489865@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated file package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 15 Jul 2008 16:26:00 +0200
Source: file
Binary: file libmagic1 libmagic-dev python-magic python-magic-dbg
Architecture: source i386
Version: 4.25-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 file       - Determines file type using "magic" numbers
 libmagic-dev - File type determination library using "magic" numbers (developmen
 libmagic1  - File type determination library using "magic" numbers
 python-magic - File type determination library using "magic" numbers (Python bin
 python-magic-dbg - File type determination library using "magic" numbers (Python bin
Closes: 488992 489865 489865
Changes: 
 file (4.25-1) unstable; urgency=low
 .
   * Adding patch from Russell Coker <russell@coker.com.au> to add volume label
     and UUID support for linux ext (Closes: #489865).
   * Adding patch from Russell Coker <russell@coker.com.au> to add volume label
     and UUID support for linux swap (Closes: #489865).
   * Adding patch from Eric Cooper <ecc@cmu.edu> to update ocaml magics
     (Closes: #488992).
   * Removing 907-file-funcs.dpatch, went upstream.
   * Removing 905-file-printf.dpatch, went upstream.
   * Updating 903-file-localmagic.dpatch for 4.25.
   * Updating 901-file-mgc.dpatch for 4.25.
   * Updating 338-magic-add-cromfs.dpatch for 4.25.
   * Updating 325-magic-add-sgf.dpatch for 4.25.
   * Updating 321-magic-add-pe5.dpatch for 4.25.
   * Updating 212-magic-update-pfm.dpatch for 4.25.
   * Updating 211-magic-update-mono.dpatch for 4.25.
   * Updating 206-magic-update-bash.dpatch for 4.25.
   * Updating 205-magic-update-tcsh.dpatch for 4.25.
   * Removing 201-magic-update-mp3.dpatch, went upstream.
   * Merging upstream version 4.25.
Checksums-Sha1: 
 c529bf003f5cd6b4086aae9bc0234eb27bd217d8 1226 file_4.25-1.dsc
 0d4a0b678a4c13fbc38cd0ea633ef4df60d74f22 582227 file_4.25.orig.tar.gz
 7a6447808c36f38e18b506e7148e968e4cce7495 42618 file_4.25-1.diff.gz
 f961ea889c5bfd73fd76745faf2b0142f399b539 43958 file_4.25-1_i386.deb
 a789cedbb9995d36a07c00ac880e0420048ae946 366818 libmagic1_4.25-1_i386.deb
 f5a4e5030d13c8cb4b83a0498b71e8a8b7bd5b1b 83470 libmagic-dev_4.25-1_i386.deb
 10f3040eb1fbd6099d35f40a89fb05f9ba276103 33216 python-magic_4.25-1_i386.deb
 ef32dd33e6f9dd92ceea2d1370f4f48c2e2bd210 26658 python-magic-dbg_4.25-1_i386.deb
Checksums-Sha256: 
 341cbf15276a9cb32c8551ac565ed4bbc3dd6e3718015cdb8945f0aeb7402c48 1226 file_4.25-1.dsc
 abcd5bc7f9a604b5966463eac4a3f54de180a08adb513d902bb44152ebad6c8a 582227 file_4.25.orig.tar.gz
 64416e391e97458c6eb192422d4f03ea083bfba7ce59be476d6e17e129c8cb09 42618 file_4.25-1.diff.gz
 6cfb3f9288ba6b9936e7c1b8b88cf425f0eeda62d2ee8b4045cf7fe19ee39414 43958 file_4.25-1_i386.deb
 ee7ae9aaaa1b60ce0f064da6065cd580abaccc50f7878a3c34baea33450e0c8a 366818 libmagic1_4.25-1_i386.deb
 6d65f15c7a1c3d0f88e4874060341bc60062fff7840dea789b8d53983636f033 83470 libmagic-dev_4.25-1_i386.deb
 f89c60731d03b90566941b2fe9ff2f7cfc9716dc0fa028e279a6eb296f536854 33216 python-magic_4.25-1_i386.deb
 1e25573bd7ede16eff2a565a60d984826545234f42d039158533bb06bdf8e285 26658 python-magic-dbg_4.25-1_i386.deb
Files: 
 4363d8873361e5a60c004530e2a84c9b 1226 utils standard file_4.25-1.dsc
 cdf1f90d2704e71118353c16c19898ba 582227 utils standard file_4.25.orig.tar.gz
 1d6e82236b75978416946b6412091d84 42618 utils standard file_4.25-1.diff.gz
 7a5388791b70cbcf28c5895a1aae4ffa 43958 utils standard file_4.25-1_i386.deb
 d1ffa8c477ceb1b1af664cea22f95c3b 366818 libs standard libmagic1_4.25-1_i386.deb
 9a2889292e8415d173e02d066d7ed542 83470 libdevel optional libmagic-dev_4.25-1_i386.deb
 bc4fd774f043071eab03f2648981db31 33216 python extra python-magic_4.25-1_i386.deb
 2b1e4676bfe992bb9ab37aae26557c1f 26658 python extra python-magic-dbg_4.25-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkh8tRQACgkQ+C5cwEsrK575fgCeISOolTp4MpPutiaEUZyXBb+J
FbwAoMmjqGGnJElO6gK1XL6DK0LNqyIz
=Z7C3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Aug 2008 07:36:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:55:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.